diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-capabilities.h ns-3.44/src/wifi/model/vht/vht-capabilities.h
--- ns-3.43/src/wifi/model/vht/vht-capabilities.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-capabilities.h	2025-03-09 16:55:49.799372700 -0700
@@ -16,7 +16,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * The IEEE 802.11ac VHT Capabilities
  */
@@ -32,26 +32,26 @@
     /**
      * Set the VHT Capabilities Info field in the VHT Capabilities information element.
      *
-     * \param ctrl the VHT Capabilities Info field in the VHT Capabilities information element
+     * @param ctrl the VHT Capabilities Info field in the VHT Capabilities information element
      */
     void SetVhtCapabilitiesInfo(uint32_t ctrl);
     /**
      * Set the MCS and NSS field in the VHT Capabilities information element.
      *
-     * \param ctrl the MCS and NSS field in the VHT Capabilities information element
+     * @param ctrl the MCS and NSS field in the VHT Capabilities information element
      */
     void SetSupportedMcsAndNssSet(uint64_t ctrl);
 
     /**
      * Return the VHT Capabilities Info field in the VHT Capabilities information element.
      *
-     * \return the VHT Capabilities Info field in the VHT Capabilities information element
+     * @return the VHT Capabilities Info field in the VHT Capabilities information element
      */
     uint32_t GetVhtCapabilitiesInfo() const;
     /**
      * Return the MCS and NSS field in the VHT Capabilities information element.
      *
-     * \return the MCS and NSS field in the VHT Capabilities information element
+     * @return the MCS and NSS field in the VHT Capabilities information element
      */
     uint64_t GetSupportedMcsAndNssSet() const;
 
@@ -59,140 +59,140 @@
     /**
      * Set the maximum MPDU length.
      *
-     * \param length the maximum MPDU length (3895, 7991 or 11454)
+     * @param length the maximum MPDU length (3895, 7991 or 11454)
      */
     void SetMaxMpduLength(uint16_t length);
     /**
      * Set the supported channel width set.
      *
-     * \param channelWidthSet the supported channel width set
+     * @param channelWidthSet the supported channel width set
      */
     void SetSupportedChannelWidthSet(uint8_t channelWidthSet);
     /**
      * Set the receive LDPC.
      *
-     * \param rxLdpc the receive LDPC
+     * @param rxLdpc the receive LDPC
      */
     void SetRxLdpc(uint8_t rxLdpc);
     /**
      * Set the short guard interval 80 MHz.
      *
-     * \param shortGuardInterval the short guard interval 80 MHz
+     * @param shortGuardInterval the short guard interval 80 MHz
      */
     void SetShortGuardIntervalFor80Mhz(uint8_t shortGuardInterval);
     /**
      * Set the short guard interval 160 MHz.
      *
-     * \param shortGuardInterval the short guard interval 160 MHz
+     * @param shortGuardInterval the short guard interval 160 MHz
      */
     void SetShortGuardIntervalFor160Mhz(uint8_t shortGuardInterval);
     /**
      * Set the receive STBC.
      *
-     * \param rxStbc the receive STBC
+     * @param rxStbc the receive STBC
      */
     void SetRxStbc(uint8_t rxStbc);
     /**
      * Set the transmit STBC.
      *
-     * \param txStbc the receive STBC
+     * @param txStbc the receive STBC
      */
     void SetTxStbc(uint8_t txStbc);
     /**
      * Set the maximum AMPDU length.
      *
-     * \param maxAmpduLength 2^(13 + x) - 1, x in the range 0 to 7
+     * @param maxAmpduLength 2^(13 + x) - 1, x in the range 0 to 7
      */
     void SetMaxAmpduLength(uint32_t maxAmpduLength);
 
     /**
      * Get the maximum MPDU length.
      *
-     * \return the maximum MPDU length in bytes
+     * @return the maximum MPDU length in bytes
      */
     uint16_t GetMaxMpduLength() const;
     /**
      * Get the supported channel width set.
      *
-     * \returns the supported channel width set
+     * @returns the supported channel width set
      */
     uint8_t GetSupportedChannelWidthSet() const;
     /**
      * Get the receive LDPC.
      *
-     * \returns the receive LDPC
+     * @returns the receive LDPC
      */
     uint8_t GetRxLdpc() const;
     /**
      * Get the receive STBC.
      *
-     * \returns the receive STBC
+     * @returns the receive STBC
      */
     uint8_t GetRxStbc() const;
     /**
      * Get the transmit STBC.
      *
-     * \returns the transmit STBC
+     * @returns the transmit STBC
      */
     uint8_t GetTxStbc() const;
 
     /**
-     * \param mcs Max MCS value (between 7 and 9)
-     * \param nss Spatial stream for which the Max MCS value is being set
+     * @param mcs Max MCS value (between 7 and 9)
+     * @param nss Spatial stream for which the Max MCS value is being set
      */
     void SetRxMcsMap(uint8_t mcs, uint8_t nss);
     /**
-     * \param mcs Max MCS value (between 7 and 9)
-     * \param nss Spatial stream for which the Max MCS value is being set
+     * @param mcs Max MCS value (between 7 and 9)
+     * @param nss Spatial stream for which the Max MCS value is being set
      */
     void SetTxMcsMap(uint8_t mcs, uint8_t nss);
     /**
      * Set the receive highest supported LGI data rate.
      *
-     * \param supportedDatarate receive highest supported LGI data rate
+     * @param supportedDatarate receive highest supported LGI data rate
      */
     void SetRxHighestSupportedLgiDataRate(uint16_t supportedDatarate);
     /**
      * Set the transmit highest supported LGI data rate.
      *
-     * \param supportedDatarate transmit highest supported LGI data rate
+     * @param supportedDatarate transmit highest supported LGI data rate
      */
     void SetTxHighestSupportedLgiDataRate(uint16_t supportedDatarate);
     /**
      * Get the is MCS supported.
      *
-     * \param mcs the MCS
-     * \param nss the NSS
-     * \returns the is MCS supported
+     * @param mcs the MCS
+     * @param nss the NSS
+     * @returns the is MCS supported
      */
     bool IsSupportedMcs(uint8_t mcs, uint8_t nss) const;
 
     /**
      * Get the receive highest supported LGI data rate.
      *
-     * \returns the receive highest supported LGI data rate.
+     * @returns the receive highest supported LGI data rate.
      */
     uint16_t GetRxHighestSupportedLgiDataRate() const;
 
     /**
      * Returns true if transmit MCS is supported.
      *
-     * \param mcs the MCS
-     * \returns whether transmit MCS is supported
+     * @param mcs the MCS
+     * @returns whether transmit MCS is supported
      */
     bool IsSupportedTxMcs(uint8_t mcs) const;
     /**
      * Returns true if receive MCS is supported.
      *
-     * \param mcs the MCS
-     * \returns whether receive MCS is supported
+     * @param mcs the MCS
+     * @returns whether receive MCS is supported
      */
     bool IsSupportedRxMcs(uint8_t mcs) const;
 
     /**
      * Return the maximum A-MPDU length.
      *
-     * \return the maximum A-MPDU length in bytes
+     * @return the maximum A-MPDU length in bytes
      */
     uint32_t GetMaxAmpduLength() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-configuration.cc ns-3.44/src/wifi/model/vht/vht-configuration.cc
--- ns-3.43/src/wifi/model/vht/vht-configuration.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-configuration.cc	2025-03-09 16:55:49.799372700 -0700
@@ -42,8 +42,7 @@
             .AddAttribute("Support160MHzOperation",
                           "Whether or not 160 MHz operation is to be supported.",
                           BooleanValue(true),
-                          MakeBooleanAccessor(&VhtConfiguration::Get160MHzOperationSupported,
-                                              &VhtConfiguration::Set160MHzOperationSupported),
+                          MakeBooleanAccessor(&VhtConfiguration::m_160MHzSupported),
                           MakeBooleanChecker())
             .AddAttribute("SecondaryCcaSensitivityThresholds",
                           "Tuple {threshold for 20MHz PPDUs, threshold for 40MHz PPDUs, threshold "
@@ -83,17 +82,17 @@
     const SecondaryCcaSensitivityThresholds& thresholds)
 {
     NS_LOG_FUNCTION(this);
-    m_secondaryCcaSensitivityThresholds[20] = std::get<0>(thresholds);
-    m_secondaryCcaSensitivityThresholds[40] = std::get<1>(thresholds);
-    m_secondaryCcaSensitivityThresholds[80] = std::get<2>(thresholds);
+    m_secondaryCcaSensitivityThresholds[MHz_u{20}] = std::get<0>(thresholds);
+    m_secondaryCcaSensitivityThresholds[MHz_u{40}] = std::get<1>(thresholds);
+    m_secondaryCcaSensitivityThresholds[MHz_u{80}] = std::get<2>(thresholds);
 }
 
 VhtConfiguration::SecondaryCcaSensitivityThresholds
 VhtConfiguration::GetSecondaryCcaSensitivityThresholds() const
 {
-    return {m_secondaryCcaSensitivityThresholds.at(20),
-            m_secondaryCcaSensitivityThresholds.at(40),
-            m_secondaryCcaSensitivityThresholds.at(80)};
+    return {m_secondaryCcaSensitivityThresholds.at(MHz_u{20}),
+            m_secondaryCcaSensitivityThresholds.at(MHz_u{40}),
+            m_secondaryCcaSensitivityThresholds.at(MHz_u{80})};
 }
 
 const std::map<MHz_u, dBm_u>&
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-configuration.h ns-3.44/src/wifi/model/vht/vht-configuration.h
--- ns-3.43/src/wifi/model/vht/vht-configuration.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-configuration.h	2025-03-09 16:55:49.799372700 -0700
@@ -9,6 +9,7 @@
 #ifndef VHT_CONFIGURATION_H
 #define VHT_CONFIGURATION_H
 
+#include "ns3/deprecated.h"
 #include "ns3/object.h"
 #include "ns3/wifi-units.h"
 
@@ -19,8 +20,8 @@
 {
 
 /**
- * \brief VHT configuration
- * \ingroup wifi
+ * @brief VHT configuration
+ * @ingroup wifi
  *
  * This object stores VHT configuration information, for use in modifying
  * AP or STA behavior and for constructing VHT-related information elements.
@@ -33,22 +34,25 @@
     ~VhtConfiguration() override;
 
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
 
     /**
      * Enable or disable 160 MHz operation support.
      *
-     * \param enable true if 20 MHz, 40 MHz, 80 MHz and 160 MHz operation is to be supported,
+     * @param enable true if 20 MHz, 40 MHz, 80 MHz and 160 MHz operation is to be supported,
      *               false if 20 MHz, 40 MHz and 80 MHz operation is to be supported
      */
+    NS_DEPRECATED_3_44("Set the m_160MHzSupported member variable instead")
     void Set160MHzOperationSupported(bool enable);
+
     /**
-     * \return true if 20 MHz, 40 MHz, 80 MHz and 160 MHz operation is supported,
+     * @return true if 20 MHz, 40 MHz, 80 MHz and 160 MHz operation is supported,
      *         false if 20 MHz, 40 MHz and 80 MHz operation is supported
      */
+    NS_DEPRECATED_3_44("Get the m_160MHzSupported member variable instead")
     bool Get160MHzOperationSupported() const;
 
     using SecondaryCcaSensitivityThresholds =
@@ -60,22 +64,23 @@
      * The thresholds are defined as a tuple {threshold for 20MHz PPDUs,
      * threshold for 40MHz PPDUs, threshold for 80MHz PPDUs}.
      *
-     * \param thresholds the CCA sensitivity thresholds
+     * @param thresholds the CCA sensitivity thresholds
      */
     void SetSecondaryCcaSensitivityThresholds(const SecondaryCcaSensitivityThresholds& thresholds);
     /**
-     * \return the CCA sensitivity thresholds for PPDUs that do not occupy the primary channel
+     * @return the CCA sensitivity thresholds for PPDUs that do not occupy the primary channel
      */
     SecondaryCcaSensitivityThresholds GetSecondaryCcaSensitivityThresholds() const;
 
     /**
-     * \return the CCA sensitivity thresholds for PPDUs that do not occupy the primary channel,
+     * @return the CCA sensitivity thresholds for PPDUs that do not occupy the primary channel,
      * indexed by signal bandwidth
      */
     const std::map<MHz_u, dBm_u>& GetSecondaryCcaSensitivityThresholdsPerBw() const;
 
-  private:
     bool m_160MHzSupported; ///< whether 160 MHz operation is supported
+
+  private:
     std::map<MHz_u, dBm_u>
         m_secondaryCcaSensitivityThresholds; ///< CCA sensitivity thresholds for signals that do not
                                              ///< occupy the primary channel, indexed by signal
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-frame-exchange-manager.h ns-3.44/src/wifi/model/vht/vht-frame-exchange-manager.h
--- ns-3.43/src/wifi/model/vht/vht-frame-exchange-manager.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-frame-exchange-manager.h	2025-03-09 16:55:49.799372700 -0700
@@ -15,7 +15,7 @@
 {
 
 /**
- * \ingroup wifi
+ * @ingroup wifi
  *
  * VhtFrameExchangeManager handles the frame exchange sequences
  * for VHT stations.
@@ -24,15 +24,16 @@
 {
   public:
     /**
-     * \brief Get the type ID.
-     * \return the object TypeId
+     * @brief Get the type ID.
+     * @return the object TypeId
      */
     static TypeId GetTypeId();
     VhtFrameExchangeManager();
     ~VhtFrameExchangeManager() override;
 
-  protected:
     Ptr<WifiPsdu> GetWifiPsdu(Ptr<WifiMpdu> mpdu, const WifiTxVector& txVector) const override;
+
+  protected:
     uint32_t GetPsduSize(Ptr<const WifiMpdu> mpdu, const WifiTxVector& txVector) const override;
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-operation.h ns-3.44/src/wifi/model/vht/vht-operation.h
--- ns-3.43/src/wifi/model/vht/vht-operation.h	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-operation.h	2025-03-09 16:55:49.799372700 -0700
@@ -15,8 +15,8 @@
 {
 
 /**
- * \brief The VHT Operation Information Element
- * \ingroup wifi
+ * @brief The VHT Operation Information Element
+ * @ingroup wifi
  *
  * This class knows how to serialise and deserialise
  * the VHT Operation Information Element
@@ -33,27 +33,27 @@
     /**
      * Set the Channel Width field in the VHT Operation information element.
      *
-     * \param channelWidth the Channel Width field in the VHT Operation information element
+     * @param channelWidth the Channel Width field in the VHT Operation information element
      */
     void SetChannelWidth(uint8_t channelWidth);
     /**
      * Set the Channel Center Frequency Segment 0 field in the VHT Operation information element.
      *
-     * \param channelCenterFrequencySegment0 the Channel Center Frequency Segment 0 field in the VHT
+     * @param channelCenterFrequencySegment0 the Channel Center Frequency Segment 0 field in the VHT
      * Operation information element
      */
     void SetChannelCenterFrequencySegment0(uint8_t channelCenterFrequencySegment0);
     /**
      * Set the Channel Center Frequency Segment 1 field in the VHT Operation information element.
      *
-     * \param channelCenterFrequencySegment1 the Channel Center Frequency Segment 1 field in the VHT
+     * @param channelCenterFrequencySegment1 the Channel Center Frequency Segment 1 field in the VHT
      * Operation information element
      */
     void SetChannelCenterFrequencySegment1(uint8_t channelCenterFrequencySegment1);
     /**
      * Set the Basic VHT-MCS and NSS field in the VHT Operation information element.
      *
-     * \param basicVhtMcsAndNssSet the Basic VHT-MCS and NSS field in the VHT Operation information
+     * @param basicVhtMcsAndNssSet the Basic VHT-MCS and NSS field in the VHT Operation information
      * element
      */
     void SetBasicVhtMcsAndNssSet(uint16_t basicVhtMcsAndNssSet);
@@ -61,33 +61,33 @@
      * Set the Basic VHT-MCS and NSS field in the VHT Operation information element
      * by specifying the tuple (nss, maxMcs).
      *
-     * \param nss the NSS
-     * \param maxVhtMcs the maximum supported VHT-MCS value corresponding to that NSS
+     * @param nss the NSS
+     * @param maxVhtMcs the maximum supported VHT-MCS value corresponding to that NSS
      */
     void SetMaxVhtMcsPerNss(uint8_t nss, uint8_t maxVhtMcs);
 
     /**
      * Return the Channel Width field in the VHT Operation information element.
      *
-     * \return the Channel Width field in the VHT Operation information element
+     * @return the Channel Width field in the VHT Operation information element
      */
     uint8_t GetChannelWidth() const;
     /**
      * Return the Channel Center Frequency Segment 0 field in the VHT Operation information element.
      *
-     * \return the Channel Center Frequency Segment 0 field in the VHT Operation information element
+     * @return the Channel Center Frequency Segment 0 field in the VHT Operation information element
      */
     uint8_t GetChannelCenterFrequencySegment0() const;
     /**
      * Return the Channel Center Frequency Segment 1 field in the VHT Operation information element.
      *
-     * \return the Channel Center Frequency Segment 1 field in the VHT Operation information element
+     * @return the Channel Center Frequency Segment 1 field in the VHT Operation information element
      */
     uint8_t GetChannelCenterFrequencySegment1() const;
     /**
      * Return the Basic VHT-MCS And Nss field in the VHT Operation information element.
      *
-     * \return the Basic VHT-MCS And Nss field in the VHT Operation information element
+     * @return the Basic VHT-MCS And Nss field in the VHT Operation information element
      */
     uint16_t GetBasicVhtMcsAndNssSet() const;
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.43/src/wifi/model/vht/vht-phy.cc ns-3.44/src/wifi/model/vht/vht-phy.cc
--- ns-3.43/src/wifi/model/vht/vht-phy.cc	2024-10-09 16:41:10.128656900 -0700
+++ ns-3.44/src/wifi/model/vht/vht-phy.cc	2025-03-09 16:55:49.799372700 -0700
@@ -50,40 +50,40 @@
 
 const VhtPhy::NesExceptionMap VhtPhy::m_exceptionsMap {
                     /* {BW,Nss,MCS} Nes */
-    { std::make_tuple ( 80, 7, 2),  3 }, // instead of 2
-    { std::make_tuple ( 80, 7, 7),  6 }, // instead of 4
-    { std::make_tuple ( 80, 7, 8),  6 }, // instead of 5
-    { std::make_tuple ( 80, 8, 7),  6 }, // instead of 5
-    { std::make_tuple (160, 4, 7),  6 }, // instead of 5
-    { std::make_tuple (160, 5, 8),  8 }, // instead of 7
-    { std::make_tuple (160, 6, 7),  8 }, // instead of 7
-    { std::make_tuple (160, 7, 3),  4 }, // instead of 3
-    { std::make_tuple (160, 7, 4),  6 }, // instead of 5
-    { std::make_tuple (160, 7, 5),  7 }, // instead of 6
-    { std::make_tuple (160, 7, 7),  9 }, // instead of 8
-    { std::make_tuple (160, 7, 8), 12 }, // instead of 9
-    { std::make_tuple (160, 7, 9), 12 }, // instead of 10
+    { std::make_tuple (MHz_u{80}, 7, 2),  3 }, // instead of 2
+    { std::make_tuple (MHz_u{80}, 7, 7),  6 }, // instead of 4
+    { std::make_tuple (MHz_u{80}, 7, 8),  6 }, // instead of 5
+    { std::make_tuple (MHz_u{80}, 8, 7),  6 }, // instead of 5
+    { std::make_tuple (MHz_u{160}, 4, 7),  6 }, // instead of 5
+    { std::make_tuple (MHz_u{160}, 5, 8),  8 }, // instead of 7
+    { std::make_tuple (MHz_u{160}, 6, 7),  8 }, // instead of 7
+    { std::make_tuple (MHz_u{160}, 7, 3),  4 }, // instead of 3
+    { std::make_tuple (MHz_u{160}, 7, 4),  6 }, // instead of 5
+    { std::make_tuple (MHz_u{160}, 7, 5),  7 }, // instead of 6
+    { std::make_tuple (MHz_u{160}, 7, 7),  9 }, // instead of 8
+    { std::make_tuple (MHz_u{160}, 7, 8), 12 }, // instead of 9
+    { std::make_tuple (MHz_u{160}, 7, 9), 12 }, // instead of 10
 };
 
 // clang-format on
 
 /**
- * \brief map a given channel list type to the corresponding scaling factor
+ * @brief map a given channel list type to the corresponding scaling factor
  */
 const std::map<WifiChannelListType, dBm_u> channelTypeToScalingFactor{
-    {WIFI_CHANLIST_PRIMARY, 0.0},
-    {WIFI_CHANLIST_SECONDARY, 0.0},
-    {WIFI_CHANLIST_SECONDARY40, 3.0},
-    {WIFI_CHANLIST_SECONDARY80, 6.0},
+    {WIFI_CHANLIST_PRIMARY, dBm_u{0.0}},
+    {WIFI_CHANLIST_SECONDARY, dBm_u{0.0}},
+    {WIFI_CHANLIST_SECONDARY40, dBm_u{3.0}},
+    {WIFI_CHANLIST_SECONDARY80, dBm_u{6.0}},
 };
 
 /**
- * \brief map a given secondary channel width to its channel list type
+ * @brief map a given secondary channel width to its channel list type
  */
 const std::map<MHz_u, WifiChannelListType> secondaryChannels{
-    {20, WIFI_CHANLIST_SECONDARY},
-    {40, WIFI_CHANLIST_SECONDARY40},
-    {80, WIFI_CHANLIST_SECONDARY80},
+    {MHz_u{20}, WIFI_CHANLIST_SECONDARY},
+    {MHz_u{40}, WIFI_CHANLIST_SECONDARY40},
+    {MHz_u{80}, WIFI_CHANLIST_SECONDARY80},
 };
 
 VhtPhy::VhtPhy(bool buildModeList /* = true */)
@@ -516,11 +516,11 @@
 bool
 VhtPhy::IsCombinationAllowed(uint8_t mcsValue, MHz_u channelWidth, uint8_t nss)
 {
-    if (mcsValue == 9 && channelWidth == 20 && nss != 3)
+    if (mcsValue == 9 && channelWidth == MHz_u{20} && nss != 3)
     {
         return false;
     }
-    if (mcsValue == 6 && channelWidth == 80 && nss == 3)
+    if (mcsValue == 6 && channelWidth == MHz_u{80} && nss == 3)
     {
         return false;
     }
@@ -547,13 +547,13 @@
             return m_wifiPhy->GetCcaSensitivityThreshold();
         }
         case WIFI_CHANLIST_SECONDARY:
-            NS_ASSERT_MSG(ppduBw == 20, "Invalid channel width " << ppduBw);
+            NS_ASSERT_MSG(ppduBw == MHz_u{20}, "Invalid channel width " << ppduBw);
             break;
         case WIFI_CHANLIST_SECONDARY40:
-            NS_ASSERT_MSG(ppduBw <= 40, "Invalid channel width " << ppduBw);
+            NS_ASSERT_MSG(ppduBw <= MHz_u{40}, "Invalid channel width " << ppduBw);
             break;
         case WIFI_CHANLIST_SECONDARY80:
-            NS_ASSERT_MSG(ppduBw <= 80, "Invalid channel width " << ppduBw);
+            NS_ASSERT_MSG(ppduBw <= MHz_u{80}, "Invalid channel width " << ppduBw);
             break;
         default:
             NS_ASSERT_MSG(false, "Invalid channel list type");
@@ -592,7 +592,7 @@
 
     if (ppdu)
     {
-        const MHz_u primaryWidth = 20;
+        const MHz_u primaryWidth{20};
         const MHz_u p20MinFreq =
             m_wifiPhy->GetOperatingChannel().GetPrimaryChannelCenterFrequency(primaryWidth) -
             (primaryWidth / 2);
